/*
 * File:   O-BUZZER
 * Author: Bart Huyskens - www.e2cre8.be  04/2016
 * HARDWARE: BRAINBOX FUN - PIC18F445 + Bootloader running at 48Mhz
 * 
 * Buzzer connected to pin RC0
 * This program produces a siren sound 
 */
// PIC18F4455 Configuration Bit Settings - 
// all config settings are made in the bootloader

#include <xc.h>   // general XC8 library
#define _XTAL_FREQ 48000000  // Brainbox Fun running at 48Mhz

#define Buzzer PORTCbits.RC0    // using a define to give pin C0 of PORTC a better name

void main(void) // main program
{  
    TRISCbits.RC0 = 0; // make only pin C0 of PORTC output pin
        
        while(1){ // never ending loop
        
            for (int x = 250; x>0; x = x-1) // loop 250 times - 250*2msec = 500msec
                { 
                    Buzzer = 1;         // Make pin C0 high
                    __delay_ms(1);      // wait for 1msec
                    Buzzer = 0;         // Make pin C0 low
                    __delay_ms(1);      // wait for 1msec

                }
            for (int x = 500; x>0; x = x-1) // loop 250 times - 250*2msec = 500msec
                { 
                    Buzzer = 1;         // Make pin C0 high
                    __delay_us(500);      // wait for 500usec
                    Buzzer = 0;         // Make pin C0 low
                    __delay_us(500);      // wait for 500usec

                }
            }
}
